summaryrefslogtreecommitdiff
path: root/scripts/build.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2018-12-04 13:56:13 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2018-12-04 13:56:13 -0500
commit4f35c93fdebe4b06cfa4a50e79d510ae1729a704 (patch)
tree2cb4cb2ee1abdf53554d5668e51f96fa2070800c /scripts/build.sh
downloaddocker-python-4f35c93fdebe4b06cfa4a50e79d510ae1729a704.tar.gz
Initial commit
Diffstat (limited to 'scripts/build.sh')
-rwxr-xr-xscripts/build.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
new file mode 100755
index 0000000..23d0ea1
--- /dev/null
+++ b/scripts/build.sh
@@ -0,0 +1,19 @@
+#!/bin/bash -e
+
+taskdir=${TOOLCHAIN_BUILD}/etc/tasks
+
+if [[ ! -d ${taskdir} ]]; then
+ echo "No tasks. ${taskdir} does not exist."
+ exit 1
+fi
+
+for task in ${taskdir}/*
+do
+ # Check for execution permission
+ if [[ ! -x ${task} ]]; then
+ echo "Skipping: ${task}"
+ continue
+ fi
+ echo "Executing: ${task}"
+ ${task}
+done